gem install activerecord-jdbc-adapter removes execute permission on the current directory

DSpaeth's Avatar

DSpaeth

21 Jun, 2010 11:47 AM

Hi,

when I use

jruby -S gem install -V activerecord-jdbc-adapter

on HpUx, execute permission on the current directory is removed.

I use gem 1.3.7 and jruby 1.5.0.

How can I solve this issue?

Regards
D. Spaeth

  1. Support Staff 2 Posted by Nick Quaranto on 24 Jun, 2010 11:49 PM

    Nick Quaranto's Avatar

    You might need to run that with sudo. Does that help any?

  2. 3 Posted by Dspaeth on 25 Jun, 2010 04:42 AM

    Dspaeth's Avatar

    Thank you, but no. the current user is the owner of the jruby-directory and all subfolders. Even with a permission problem gem shouldn't chmod the current directory.
    After gem install the current directory is unusable.

    When I execute the following:

    pwd; ll -d /home/spaeth/test; jruby -S gem uninstall activerecord-jdbc-adapter; jruby -S gem install activerecord-jdbc-adapter; ll -d /home/spaeth/test

    I got:

    /home/spaeth/test drwxrwxr-x 2 spaeth users 96 Jun 25 06:30 /home/spaeth/test
    Successfully uninstalled activerecord-jdbc-adapter-0.9.7-java
    Successfully installed activerecord-jdbc-adapter-0.9.7-java
    1 gem installed
    Installing ri documentation for activerecord-jdbc-adapter-0.9.7-java...
    Installing RDoc documentation for activerecord-jdbc-adapter-0.9.7-java...
    drw-rw-r-- 2 spaeth users 96 Jun 25 06:30 /home/spaeth/test

    The Problem ist gem changes drwxrwxr-x to drw-rw-r--

    Also other gem's (not all) produce this error.
    I can remind me, that I got by one gem some thing like
    execute? not supportet by this system using default
    implementation. Does this 2 issues belong together?

  3. 4 Posted by SHAD0WRUNNER on 25 Jun, 2010 04:45 AM

    SHAD0WRUNNER's Avatar

    hank you, but no. the current user is the owner of the jruby-directory and all subfolders. Even with a permission problem gem shouldn't chmod the current directory.
    After gem install the current directory is unusable.

    When I execute the following:

    > pwd; ll -d /home/spaeth/test; jruby -S gem uninstall activerecord-jdbc-adapter; jruby -S gem install activerecord-jdbc-adapter; ll -d /home/spaeth/test

    I got:

    /home/spaeth/test drwxrwxr-x 2 spaeth users 96 Jun 25 06:30 /home/spaeth/test
    Successfully uninstalled activerecord-jdbc-adapter-0.9.7-java
    Successfully installed activerecord-jdbc-adapter-0.9.7-java
    1 gem installed
    Installing ri documentation for activerecord-jdbc-adapter-0.9.7-java...
    Installing RDoc documentation for activerecord-jdbc-adapter-0.9.7-java...
    drw-rw-r-- 2 spaeth users 96 Jun 25 06:30 /home/spaeth/test

    The Problem ist gem changes drwxrwxr-x to drw-rw-r--

    Also other gem's (not all) produce this error.
    I can remind me, that I got by one gem some thing like
    execute? not supportet by this system using default
    implementation. Does this 2 issues belong together?

    Regards
    Dieter Spaeth

Reply to this discussion

Internal reply

Formatting help / Preview (switch to plain text) No formatting (switch to Markdown)

Attached Files

You can attach files up to 10MB

If you don't have an account yet, we need to confirm you're human and not a machine trying to post spam.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac